package router

import (
	"net/http"

	"go.jolheiser.com/invitea/database"
	"go.jolheiser.com/invitea/static"

	"github.com/rs/zerolog/log"
)

type Routes struct {
	DB *database.Queries
}

func (ro *Routes) Index(w http.ResponseWriter, r *http.Request) {
	var isAdmin bool
	if ia, ok := r.Context().Value("isAdmin").(bool); ok {
		isAdmin = ia
	}

	invites, err := ro.DB.ListInvites(r.Context())
	if err != nil {
		log.Err(err).Msg("")
	}

	if err := static.Templates.ExecuteTemplate(w, "index.tmpl", map[string]any{
		"isAdmin": isAdmin,
		"invites": invites,
	}); err != nil {
		log.Err(err).Msg("")
	}
}
